<?xml version="1.0" encoding="UTF-8"?>
<!-- blancoCalcParser define file for blancoWsdl -->
<blanco version="0.1.0">
  <target name="blancoCalcParser">
    <blancocalcparser>
      <propertyblock name="blancodb-common" waitY="1">
        <startstring>SQL定義・共通</startstring>
        <propertykey name="name" waitX="2">
          <value>SQL定義ID</value>
        </propertykey>
        <propertykey name="description" waitX="2">
          <value>説明</value>
        </propertykey>
        <propertykey name="query-type" waitX="2">
          <value>SQLタイプ</value>
        </propertykey>
        <propertykey name="single" waitX="2">
          <value>期待する処理件数</value>
        </propertykey>
        <propertykey name="scroll" waitX="2">
          <value>スクロール属性</value>
          <value>カーソル属性</value>
        </propertykey>
        <propertykey name="updatable" waitX="2">
          <value>更新可能属性</value>
        </propertykey>

        <valuemapping>
          <result>true</result>
          <source>○</source>
          <source>あり</source>
        </valuemapping>
        <valuemapping>
          <result>false</result>
          <source>なし</source>
        </valuemapping>
        <valuemapping>
          <result>iterator</result>
          <source>検索型</source>
        </valuemapping>
        <valuemapping>
          <result>invoker</result>
          <source>実行型</source>
        </valuemapping>
        <valuemapping>
          <result>caller</result>
          <source>呼出型</source>
        </valuemapping>
        <valuemapping>
          <result>true</result>
          <source>必ず１件処理</source>
        </valuemapping>
        <valuemapping>
          <result>false</result>
          <source>複数件(0を含む)</source>
        </valuemapping>
        <valuemapping>
          <result>forward_only</result>
          <source>FORWARD_ONLY</source>
        </valuemapping>
        <valuemapping>
          <result>insensitive</result>
          <source>INSENSITIVE</source>
        </valuemapping>
        <valuemapping>
          <result>sensitive</result>
          <source>SENSITIVE</source>
        </valuemapping>
      </propertyblock>

      <tableblock name="blancodb-inparameters" waitY="1" titleheight="2" rowname="inparameter">
        <startstring>SQL定義・入力パラメータ</startstring>

        <tablecolumn name="no">
          <value>No.</value>
        </tablecolumn>
        <tablecolumn name="name">
          <value>パラメータID</value>
        </tablecolumn>
        <tablecolumn name="type">
          <value>タイプ</value>
        </tablecolumn>
        <tablecolumn name="description">
          <value>パラメータ名</value>
        </tablecolumn>
        <tablecolumn name="samplevalue">
          <value>参考値</value>
        </tablecolumn>
      </tableblock>

      <tableblock name="blancodb-outparameters" waitY="1" titleheight="2" rowname="outparameter">
        <startstring>SQL定義・出力パラメータ</startstring>

        <tablecolumn name="no">
          <value>No.</value>
        </tablecolumn>
        <tablecolumn name="name">
          <value>パラメータID</value>
        </tablecolumn>
        <tablecolumn name="type">
          <value>タイプ</value>
        </tablecolumn>
        <tablecolumn name="description">
          <value>パラメータ名</value>
        </tablecolumn>
      </tableblock>

      <tableblock name="blancodb-query" waitY="3" titleheight="1">
        <startstring>SQL定義・SQL文</startstring>

        <tablecolumn name="query-line">
          <value>SQL定義・SQL文</value>
        </tablecolumn>
      </tableblock>

    </blancocalcparser>
  </target>
</blanco>
